import { NativeModulesProxy, EventEmitter, } from "expo-modules-core";
import ExpoIcloudStorageModule from "./ExpoIcloudStorageModule";
const emitter = new EventEmitter(ExpoIcloudStorageModule ?? NativeModulesProxy.ExpoIcloudStorage);
export function addUploadFilesAsyncProgressListener(listener) {
    return emitter.addListener("onUploadFilesAsyncProgress", listener);
}
export function addDownloadFilesAsyncProgressListener(listener) {
    return emitter.addListener("onDownloadFilesAsyncProgress", listener);
}
export const defaultICloudContainerPath = ExpoIcloudStorageModule.defaultICloudContainerPath;
export async function isExistAsync(path, isDirectory) {
    return await ExpoIcloudStorageModule.isExistAsync(path, isDirectory);
}
export async function readDirAsync(path, options = { isFullPath: true }) {
    return await ExpoIcloudStorageModule.readDirAsync(path, options);
}
export async function uploadFilesAsync({ destinationDirectory, filePaths, }) {
    return await ExpoIcloudStorageModule.uploadFilesAsync(destinationDirectory, filePaths);
}
export async function uploadFileAsync({ destinationPath, filePath, }) {
    return await ExpoIcloudStorageModule.uploadFileAsync(destinationPath, filePath);
}
export async function unlinkAsync(path) {
    return ExpoIcloudStorageModule.unlinkAsync(path);
}
export async function createDirAsync(path) {
    return ExpoIcloudStorageModule.createDirAsync(path);
}
export async function isICloudAvailableAsync() {
    return ExpoIcloudStorageModule.isICloudAvailableAsync();
}
export async function downloadFileAsync(path, destinationPath) {
    return ExpoIcloudStorageModule.downloadFileAsync(path, destinationPath);
}
export async function downloadFilesAsync(paths, destinationPath) {
    return ExpoIcloudStorageModule.downloadFilesAsync(paths, destinationPath);
}
export { PathUtils } from "./path";
//# sourceMappingURL=index.js.map